var wasm_file = "worker-29bf254f29798eb5.wasm"; // wasm file
var wjs_file = "worker-29bf254f29798eb5.js"; // w.js file that links the wasm file

Module = {}
console.log("Loading webassembly version");
/// fetch wasm file and inject the js file
fetch(wasm_file)
  .then(response => response.arrayBuffer())
  .then(bytes => {
    Module.wasmBinary = bytes;
    console.log("wasm has loaded..");
    console.log("attaching as script");
    console.log(self);
    console.log(window.self);
    console.log(self.importScripts);
    self.importScripts(wjs_file);
  });
